Provide a copyright click-through guide in the cross-wiki upload tool (interface design ideas for T120867)
Closed, ResolvedPublic

Description

Something like UploadWizard's, but ignoring the complications in it that aren't true for cross-wiki ("with permission"/PD), be clearer about license and irrevocability, and less cartoony so that people actually pay attention:

Thank you for donating an image to be used on Wikipedia.
You should only continue if it meets several tests:

[icon] It must be entirely your own creation, not just taken from the Web
It has to contain no work by anyone else, or inspired by them [icon]
[icon] It should be educational and useful for teaching others
It must be OK to publish forever on the Internet under the Creative Commons license [icon]

Possibly these could be checkboxes people have to confirm for each, with bail options taking them elsewhere (e.g. other people's work -> UploadWizard). This is intentionally harsher than the laissez-faire attitude Commons has about taking a lot more, because it's better to verge on the side of caution.

Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF raised the priority of this task from to Normal.
Jdforrester-WMF added a project: Multimedia.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptDec 9 2015, 10:00 PM

(Sketched this down a few months ago but didn't put it into Phabricator; prompted by recent discussions.)

matmarex set Security to None.
Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptDec 10 2015, 3:36 AM
RP88 added a subscriber: RP88.Dec 10 2015, 5:57 AM
Yann added a subscriber: Yann.Dec 10 2015, 8:53 AM

I am thinking about the icons we can use in @Jdforrester-WMF's idea of making the user confirm each of these conditions (checkboxes). Let's refer to this ideas as, Idea A in the future.

I wanted to decide the basic thought behind the icon before drawing it in the MediaWiki Theme style.

[icon] It must be entirely your own creation, not just taken from the Web

Icons of tools of creation like the ones in the Multimedia Projects slides.

It has to contain no work by anyone else, or inspired by them [icon]

  • Bulb, as in idea
  • Snowflake, to show uniqueness

This one is tricky, especially because the definition of the word inspiration is broad (astronomical animation inspired by a poem??). The contains someone else's work is easier to deal with. Maybe something like: 

[icon] It should be educational and useful for teaching others

It must be OK to publish forever on the Internet under the Creative Commons license [icon]

Creative commons logo or the icons for CC-BY-SA.

Idea B could be using the same messages as Idea A, but not making the user tick each. It can show up right above the license agreement checkbox.

Prtksxna added a comment.EditedDec 10 2015, 11:07 AM

Idea C Instead of telling the users what right, we tell them what is surely wrong.

Did you get this from an image search?
Did you download this image from a website, including Wikipedia?
Is this a scan or photograph of an existing work?Icons of tools to scan/photograph
Prtksxna added a comment.EditedDec 10 2015, 11:15 AM

Idea D Before showing the license checkbox, ask some yes/no questions that'll need the users involvement.

  • Did you download this image from a website?
  • Did you get this from an image search?
  • If its a photograph, did you click it yourself?

Users tend to hit 'Yes' without thinking much. Hitting 'Yes' in some of the above cases will not let them upload, and maybe suggest them to use Commons. If they correctly answer all questions, we can finally show the license checkbox.

Idea E Show users suggestions of the right way (idea a) and wrong way (idea c) of doing things. Just an image before the license checkbox.

Prtksxna added a comment.EditedDec 10 2015, 11:22 AM

I think there are few problems here:

  1. Users don't understand copyright violation. They read the label for hitting the checkbox, but it doesn't mean much to them. They treat it like the I agree button on any other website that they're used to clicking without reading.
  2. Clicking the checkbox isn't a deliberate action, so they don't know what they are doing.
  3. Definition of Own work not clear: I googled and downloaded this image on my own, so…

The ideas above try to address these three issues. Not all of them, but each idea tries to address at least one.

Also, the images used above are just representative. I'll be drawing them in the MediaWiki icon, or BetaFeatures image style once we finalize.

Idea C Instead of telling the users what right, we tell them what is surely wrong.

Did you get this from an image search?
Did you get this download this image from a website, including Wikipedia?
Is this a scan or photograph of an existing work?Icons of tools to scan/photograph

This sounds like a good idea. Would be helpful for upload wizard as well.

So user see that it is not allowed to copy files from google etc.

Steinsplitter moved this task from Incoming to Backlog on the Commons board.

I'd pick A and D for sure. And C or E. E > C.

Prtksxna added a comment.EditedDec 11 2015, 3:05 PM

For Idea E

Image searchWebsiteOwn graphicOwn photo
Cannot upload images found on a search engineCannot upload images downloaded from other websitesCan upload graphics you've createdCan upload educational photographs you've clicked

I think the camera one looks bad and no one will understand it.

@Prtksxna

Looks imho excellent!

@Prtksxna
Looks imho excellent!

Thanks! Still working out the last one, "Can upload educational photographs you've clicked", suggestions are welcome.

The complete designs for ideas A, D, E can be seen at T120867#1874985 now.

Change 258416 merged by jenkins-bot:
mw.ForeignStructuredUpload.BookletLayout: A/B test of 4 different interfaces

https://gerrit.wikimedia.org/r/258416

matmarex renamed this task from Provide a copyright click-through guide in the cross-wiki upload tool to Provide a copyright click-through guide in the cross-wiki upload tool (interface design ideas for T120867).Dec 15 2015, 3:29 PM

I'm going to mark this subtask as resolved, let's centralize discussion on T120867 now.

matmarex closed this task as Resolved.Dec 15 2015, 3:30 PM
matmarex assigned this task to Prtksxna.

Change 276136 had a related patch set uploaded (by Prtksxna):
mw.ForeignStructuredUpload.BookletLayout: E/F test of 2 different interfaces

https://gerrit.wikimedia.org/r/276136

Change 276136 abandoned by Prtksxna:
mw.ForeignStructuredUpload.BookletLayout: E/F test of 2 different interfaces

https://gerrit.wikimedia.org/r/276136